PETSc version 3.17.4
Fix/Edit manual page

# TaoGetGradient

Gets the gradient evaluation routine for minimization

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetGradient(Tao tao, Vec *g, PetscErrorCode (**func)(Tao, Vec, Vec, void*),void **ctx)

Not collective

### Input Parameter

| tao | - the Tao context

### Output Parameters

| g | - the vector to internally hold the gradient computation
| func | - the gradient function
| ctx | - user-defined context for private data for the gradient evaluation routine

### Calling sequence of func

         func (Tao tao, Vec x, Vec g, void *ctx);

| x | - input vector
| g | - gradient value (output)
| ctx | - [optional] user-defined function context

### See Also

TaoSetObjective(), TaoSetHessian(), TaoSetObjectiveAndGradient(), TaoSetGradient()

### Level

beginner

### Location

src/tao/interface/taosolver_fg.c

### Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages